For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Phone Numbers

List Phone Numbers

GET
https://api.vapi.ai/phone-number
GET
/phone-number
$curl https://api.vapi.ai/phone-number \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "provider": "byo-phone-number",
4 "createdAt": "2024-01-15T09:30:00Z",
5 "credentialId": "string",
6 "id": "string",
7 "orgId": "string",
8 "updatedAt": "2024-01-15T09:30:00Z",
9 "assistantId": "string",
10 "fallbackDestination": {
11 "message": "string",
12 "type": "number",
13 "numberE164CheckEnabled": true,
14 "number": "string",
15 "extension": "string",
16 "callerId": "string",
17 "transferPlan": {
18 "mode": "blind-transfer",
19 "message": "string",
20 "timeout": 60,
21 "sipVerb": "refer",
22 "dialTimeout": 60,
23 "holdAudioUrl": "string",
24 "transferCompleteAudioUrl": "string",
25 "contextEngineeringPlan": {
26 "type": "lastNMessages",
27 "maxMessages": 1.1
28 },
29 "twiml": "string",
30 "summaryPlan": {
31 "messages": [
32 {}
33 ],
34 "enabled": true,
35 "timeoutSeconds": 1.1
36 },
37 "sipHeadersInReferToEnabled": true,
38 "fallbackPlan": {
39 "message": "string",
40 "endCallEnabled": true
41 }
42 },
43 "description": "string"
44 },
45 "hooks": [
46 {
47 "on": "call.ringing",
48 "filters": [
49 {
50 "type": "startsWith",
51 "key": "number",
52 "startsWith": [
53 "91",
54 "86",
55 "7"
56 ]
57 }
58 ],
59 "do": [
60 {
61 "type": "transfer",
62 "destination": {
63 "message": "string",
64 "type": "number",
65 "numberE164CheckEnabled": true,
66 "number": "string",
67 "extension": "string",
68 "callerId": "string",
69 "transferPlan": {
70 "mode": "blind-transfer",
71 "message": "string",
72 "timeout": 60,
73 "sipVerb": "refer",
74 "dialTimeout": 60,
75 "holdAudioUrl": "string",
76 "transferCompleteAudioUrl": "string",
77 "contextEngineeringPlan": {
78 "type": "lastNMessages",
79 "maxMessages": 1.1
80 },
81 "twiml": "string",
82 "summaryPlan": {
83 "messages": [
84 {}
85 ],
86 "enabled": true,
87 "timeoutSeconds": 1.1
88 },
89 "sipHeadersInReferToEnabled": true,
90 "fallbackPlan": {
91 "message": {},
92 "endCallEnabled": true
93 }
94 },
95 "description": "string"
96 }
97 }
98 ]
99 }
100 ],
101 "name": "string",
102 "number": "string",
103 "numberE164CheckEnabled": true,
104 "server": {
105 "timeoutSeconds": 20,
106 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
107 "staticIpAddressesEnabled": false,
108 "encryptedPaths": [
109 "string"
110 ],
111 "url": "string",
112 "headers": {},
113 "backoffPlan": {
114 "type": "fixed",
115 "maxRetries": 0,
116 "baseDelaySeconds": 1,
117 "excludedStatusCodes": [
118 400,
119 401,
120 403,
121 404
122 ]
123 }
124 },
125 "squadId": "string",
126 "status": "active",
127 "workflowId": "string"
128 }
129]
Was this page helpful?
Previous

Create Phone Number

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Query parameters

limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

byo-phone-numberobject
OR
twilioobject
OR
vonageobject
OR
vapiobject
OR
telnyxobject